//
//  AjaxAction.java
//  TestComposants
//
//  Created by Lionel GUILLAUME on 09/03/06.
//  Copyright (c) 2006 __MyCompanyName__. All rights reserved.
//

import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eoaccess.*;

public class AjaxAction extends AbstractAjaxDA {
	
	public AjaxAction(WORequest request) {
        super(request);
    }
	
	public WOActionResults autoCompleteAction() {
		EOEditingContext ec = session().defaultEditingContext();
		NSArray results = null;
		NSDictionary constaints = new NSDictionary((String)request.formValueForKey("title"), "title");
		results = EOUtilities.objectsWithFetchSpecificationAndBindings(ec, "Movie", "QualifierVariable", constaints);
		NSMutableArray movies = new NSMutableArray();
		
		for (int i=0; i<results.count(); i++) {
			String title = (String)((EOEnterpriseObject)results.objectAtIndex(i)).valueForKey("title");
			movies.addObject (title);
		}
		return responseWithObject (movies);
		//return responseWithObject (results); // Marche aussi mais le javascript associé est dur dur
	}
	
	public WOActionResults rechercheParTitreAction() {
		EOEditingContext ec = session().defaultEditingContext();
		NSArray results = null;
		NSDictionary constaints = new NSDictionary((String)request.formValueForKey("title"), "title");
		results = EOUtilities.objectsWithFetchSpecificationAndBindings(ec, "Movie", "QualifierVariable", constaints);
		return responseWithObject (results);
	}

	public WOActionResults autoCompleteWithComponentAction () {
		EOEditingContext ec = session().defaultEditingContext();
		NSArray movies = null;
		String titre = (String)request.formValueForKey("title");
		
		NSDictionary constaints = new NSDictionary(titre, "title");
		movies = EOUtilities.objectsWithFetchSpecificationAndBindings(ec, "Movie", "QualifierVariable", constaints);
		MyContent myContent = (MyContent)pageWithName ("MyContent");
		myContent.setMovies (movies);
		myContent.titre = titre;
		// Ne pas faire "return myContent" pour ajouter le content-type
		WOResponse response = myContent.generateResponse();
		response.setHeader("text/xml; charset=iso-8859-15", "content-type");
		return response;
	}
}
