//
// AutoCompleteTextField.java: Class file for WO Component 'AutoCompleteTextField'
// Project WOTest
//
// Created by lionel on 15/03/06
//

import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eoaccess.*;

public class AutoCompleteTextField extends WOComponent {
    public String value; // b r
    public boolean displayWaitingImage; // r
	public String uniqueId;  // r
	public String extraSpanStyle; // o
    public int reactivity;  // o
	
	//
	public String ajaxActionClass;
	public String ajaxDirectActionName;
	//public String ajaxInvokerName;
    public String clientSelector;
    public String javascriptFile;	
    public String textFieldName;

    public AutoCompleteTextField(WOContext context) {
        super(context);
		//extraSpanStyle = "font-family: arial, sans-serif ; background-color: yellow ; font-size: 9pt ; color: black ;border: 1px solid #000000; padding: 0em 0%; width: 165px; ";
    }
	
	public String searchId () {
		return uniqueId+"Search";
	}
	
	public String spanId () {
		return uniqueId+"Div";
	}
	
	public String imageId () {
		return uniqueId+"Wait";
	}

	public String searchResultSpan () {
		return "<span id=\""+spanId ()
				+"\" style=\" position: absolute; "+
				extraSpanStyle()+"visibility: hidden;\"></span>";
	}
	
	private String extraSpanStyle () {
		if (extraSpanStyle==null)
			return "";
		return extraSpanStyle;
	}
	
	public String keyChange () {
		return "keyChange('"+spanId()+"', '"+imageId()+"', '"+searchId()+"', "+ajaxInvokerName()+", "+reactivity()+")";
	}
	
	public int reactivity () {
		if (reactivity <= 0)
			return 10;
		return reactivity;
	}
	
	public String ajaxInvokerName () {
		return uniqueId+"Invoker";
	}
}
